DOM::MutationEvent Class Reference

`#include <dom2_events.h>`

Inheritance diagram for DOM::MutationEvent:

## Public Types

enum | attrChangeType { MODIFICATION = 1, ADDITION = 2, REMOVAL = 3 }
Public Types inherited from DOM::Event
enum | PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }

## Public Member Functions

| MutationEvent (const MutationEvent &other)
| MutationEvent (const Event &other)
MutationEvent & | operator= (const MutationEvent &other)
MutationEvent & | operator= (const Event &other)
Node | relatedNode () const
DOMString | prevValue () const
DOMString | newValue () const
DOMString | attrName () const
unsigned short | attrChange () const
void | initMutationEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const Node &relatedNodeArg, const DOMString &prevValueArg, const DOMString &newValueArg, const DOMString &attrNameArg, unsigned short attrChangeArg)
Public Member Functions inherited from DOM::Event
| Event (const Event &other)
Event & | operator= (const Event &other)
DOMString | type () const
Node | target () const
Node | currentTarget () const
unsigned short | eventPhase () const
bool | bubbles () const
bool | cancelable () const
DOMTimeStamp | timeStamp () const
void | stopPropagation ()
void | preventDefault ()
void | initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
EventImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| MutationEvent (MutationEventImpl *impl)
Protected Member Functions inherited from DOM::Event
| Event (EventImpl *i)

## Additional Inherited Members

Protected Attributes inherited from DOM::Event
EventImpl * | impl

## Detailed Description

Introduced in DOM Level 2.

The MutationEvent interface provides specific contextual information associated with Mutation events.

Definition at line 738 of file dom2_events.h.

## Member Enumeration Documentation

enum DOM::MutationEvent::attrChangeType

An integer indicating in which way the Attr was changed.

ADDITION: The Attr was just added.

MODIFICATION: The Attr was modified in place.

REMOVAL: The Attr was just removed.

Definition at line 757 of file dom2_events.h.

## Member Function Documentation

unsigned short MutationEvent::attrChange | ( |  | ) | const

attrChange indicates the type of change which triggered the DOMAttrModified event.

The values can be MODIFICATION, ADDITION, or REMOVAL.

Definition at line 700 of file dom2_events.cpp.

DOMString MutationEvent::attrName | ( |  | ) | const

attrName indicates the name of the changed Attr node in a DOMAttrModified event.

Definition at line 692 of file dom2_events.cpp.

void MutationEvent::initMutationEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const Node & | relatedNodeArg,
|  | const DOMString & | prevValueArg,
|  | const DOMString & | newValueArg,
|  | const DOMString & | attrNameArg,
|  | unsigned short | attrChangeArg
| ) |  |

The initMutationEvent method is used to initialize the value of a MutationEvent created through the DocumentEvent interface.

This method may only be called before the MutationEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters

  typeArg | Specifies the event type.
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
  relatedNodeArg | Specifies the Event's related Node.
  prevValueArg | Specifies the Event's prevValue attribute. This value may be null.
  newValueArg | Specifies the Event's newValue attribute. This value may be null.
  attrNameArg | Specifies the Event's attrName attribute. This value may be null.
  attrChangeArg | Specifies the Event's attrChange attribute

Definition at line 708 of file dom2_events.cpp.

DOMString MutationEvent::newValue | ( |  | ) | const

newValue indicates the new value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

Definition at line 684 of file dom2_events.cpp.

DOMString MutationEvent::prevValue | ( |  | ) | const

prevValue indicates the previous value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

Definition at line 676 of file dom2_events.cpp.

Node MutationEvent::relatedNode | ( |  | ) | const

relatedNode is used to identify a secondary node related to a mutation event.

For example, if a mutation event is dispatched to a node indicating that its parent has changed, the relatedNode is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the relatedNode is the changed node. In the case of the DOMAttrModified event it indicates the Attr node which was modified, added, or removed.

Definition at line 668 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys